package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class LogBean {


    /**
     * id : 48
     * createDateTime : 1587880137000
     * updateDateTime : 1587880137000
     * jobNo : SCTN20042605
     * logDateTime : 2020-04-26 13:48:57
     * writeUserId : 398c852b38e911ea8334fa163e1166bd
     * writeUserName : hello
     * jobContent : 123
     * problemDescription : 123
     * customerDemand : 123
     * createUserId : 398c852b38e911ea8334fa163e1166bd
     * createUserName : null
     * updateUserId : null
     * updateUserName : null
     * approvalUserId : null
     * approvalUserName : null
     * approvalDateTime : null
     * approvalStatus : null
     * remark : null
     * attachments : [{"id":"9f1faeae878111ea8334fa163e1166bd","name":"1.png","path":"group1/M00/00/0A/wKgAwV6lIMiATCNxAABBiqJSaT8612.png","type":"png","size":16778,"url":"http://114.116.55.221/group1/M00/00/0A/wKgAwV6lIMiATCNxAABBiqJSaT8612.png"}]
     * delete : null
     */

    private String id;
    private long createDateTime;
    private long updateDateTime;
    private String jobNo;
    private String logDateTime;
    private String writeUserId;
    private String writeUserName;
    private String jobContent;
    private String problemDescription;
    private String customerDemand;
    private String createUserId;
    private Object createUserName;
    private Object updateUserId;
    private Object updateUserName;
    private Object approvalUserId;
    private Object approvalUserName;
    private Object approvalDateTime;
    private Object approvalStatus;
    private Object remark;
    private Object delete;
    private List<ImageBean> attachments;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public long getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(long createDateTime) {
        this.createDateTime = createDateTime;
    }

    public long getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(long updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public String getJobNo() {
        return jobNo;
    }

    public void setJobNo(String jobNo) {
        this.jobNo = jobNo;
    }

    public String getLogDateTime() {
        return logDateTime;
    }

    public void setLogDateTime(String logDateTime) {
        this.logDateTime = logDateTime;
    }

    public String getWriteUserId() {
        return writeUserId;
    }

    public void setWriteUserId(String writeUserId) {
        this.writeUserId = writeUserId;
    }

    public String getWriteUserName() {
        return writeUserName;
    }

    public void setWriteUserName(String writeUserName) {
        this.writeUserName = writeUserName;
    }

    public String getJobContent() {
        return jobContent;
    }

    public void setJobContent(String jobContent) {
        this.jobContent = jobContent;
    }

    public String getProblemDescription() {
        return problemDescription;
    }

    public void setProblemDescription(String problemDescription) {
        this.problemDescription = problemDescription;
    }

    public String getCustomerDemand() {
        return customerDemand;
    }

    public void setCustomerDemand(String customerDemand) {
        this.customerDemand = customerDemand;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Object getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(Object createUserName) {
        this.createUserName = createUserName;
    }

    public Object getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Object updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Object getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(Object updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Object getApprovalUserId() {
        return approvalUserId;
    }

    public void setApprovalUserId(Object approvalUserId) {
        this.approvalUserId = approvalUserId;
    }

    public Object getApprovalUserName() {
        return approvalUserName;
    }

    public void setApprovalUserName(Object approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    public Object getApprovalDateTime() {
        return approvalDateTime;
    }

    public void setApprovalDateTime(Object approvalDateTime) {
        this.approvalDateTime = approvalDateTime;
    }

    public Object getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(Object approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public Object getRemark() {
        return remark;
    }

    public void setRemark(Object remark) {
        this.remark = remark;
    }

    public Object getDelete() {
        return delete;
    }

    public void setDelete(Object delete) {
        this.delete = delete;
    }

    public List<ImageBean> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<ImageBean> attachments) {
        this.attachments = attachments;
    }

}
